Qt Reference Documentation

# QDeclarativeTypeLoader Class Reference

     #include <QDeclarativeTypeLoader>

Inherits: QObject.

- List of all members, including inherited members

## Public Types

enum | Option { None, PreserveParser }
flags | Options

## Public Functions

| QDeclarativeTypeLoader ( QDeclarativeEngine * )
| ~QDeclarativeTypeLoader ()
void | clearCache ()
QDeclarativeTypeData * | get ( const QUrl & url )
QDeclarativeTypeData * | get ( const QByteArray & data, const QUrl & url, Options options = None )
QDeclarativeQmldirData * | getQmldir ( const QUrl & url )
QDeclarativeScriptData * | getScript ( const QUrl & url )

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

## Member Type Documentation

### enum QDeclarativeTypeLoader::Option
flags QDeclarativeTypeLoader::Options

This enum defines the options that control the way type data is handled.

Constant | Value | Description
--- | --- | ---
`QDeclarativeTypeLoader::None` | `0` | The default value, indicating that no other options are enabled.
`QDeclarativeTypeLoader::PreserveParser` | `1` | The parser used to handle the type data is preserved after the data has been parsed.

The Options type is a typedef for QFlags<Option>. It stores an OR combination of Option values.

## Member Function Documentation

### QDeclarativeTypeLoader::QDeclarativeTypeLoader ( QDeclarativeEngine * )

### QDeclarativeTypeLoader::~QDeclarativeTypeLoader ()

### void QDeclarativeTypeLoader::clearCache ()

### QDeclarativeTypeData * QDeclarativeTypeLoader::get ( const QUrl & url )

Returns a QDeclarativeTypeData for the specified url. The QDeclarativeTypeData may be cached.

### QDeclarativeTypeData * QDeclarativeTypeLoader::get ( const QByteArray & data, const QUrl & url, Options options = None )

Returns a QDeclarativeTypeData for the given data with the provided base url. The QDeclarativeTypeData will not be cached.

The specified options control how the loader handles type data.

### QDeclarativeQmldirData * QDeclarativeTypeLoader::getQmldir ( const QUrl & url )

Return a QDeclarativeQmldirData for url. The QDeclarativeQmldirData may be cached.

### QDeclarativeScriptData * QDeclarativeTypeLoader::getScript ( const QUrl & url )

Return a QDeclarativeScriptData for url. The QDeclarativeScriptData may be cached.